unity-2d-shell crashed with SIGSEGV in ref()

Bug #947278 reported by Colin Law on 2012-03-05
454
This bug affects 54 people
Affects Status Importance Assigned to Milestone
unity-2d
Critical
Michał Sawicz
unity-2d (Ubuntu)
Critical
Unassigned

Bug Description

In firefox typing into launchpad unity-2d bug search field. Perhaps it was trying to stop me.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: unity-2d-shell 5.6.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
Uname: Linux 3.2.0-18-generic i686
ApportVersion: 1.94-0ubuntu1
Architecture: i386
CrashCounter: 1
Date: Mon Mar 5 16:41:33 2012
ExecutablePath: /usr/bin/unity-2d-shell
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20111129.1)
ProcCmdline: unity-2d-shell
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x63cc9d <_ZNK10QDBusError7messageEv+13>: lock incl (%edx)
 PC (0x0063cc9d) ok
 source "(%edx)" (0xc040a3d7) not located in a known VMA region (needed readable region)!
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: unity-2d
StacktraceTop:
 QDBusError::message() const () from /usr/lib/i386-linux-gnu/libQtDBus.so.4
 QDBusPendingCall::fromError(QDBusError const&) () from /usr/lib/i386-linux-gnu/libQtDBus.so.4
 QDBusAbstractInterface::asyncCallWithArgumentList(QString const&, QList<QVariant> const&) () from /usr/lib/i386-linux-gnu/libQtDBus.so.4
 BamfView::icon() const () from /usr/lib/libQtBamf.so.1
 WindowInfo::icon() const () from /usr/lib/libunity-2d-private.so.0
Title: unity-2d-shell crashed with SIGSEGV in QDBusError::message()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Colin Law (colin-law) wrote :

StacktraceTop:
 ref (this=0xc040a3d7) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
 QString (other=..., this=0xbff71bac) at ../../include/QtCore/../../src/corelib/tools/qstring.h:726
 QDBusError::message (this=0x9c0fc40) at qdbuserror.cpp:336
 createError (err=<optimized out>) at ../../include/QtDBus/../../src/dbus/qdbusmessage.h:81
 QDBusPendingCall::fromError (error=...) at qdbuspendingcall.cpp:446

Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
summary: - unity-2d-shell crashed with SIGSEGV in QDBusError::message()
+ unity-2d-shell crashed with SIGSEGV in ref()
tags: removed: need-i386-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
Gerry Boland (gerboland) on 2012-03-07
visibility: private → public
Changed in unity-2d (Ubuntu):
importance: Medium → Critical
Changed in unity-2d:
importance: Undecided → Critical
milestone: none → 5.8
Michał Sawicz (saviq) on 2012-03-09
Changed in unity-2d:
assignee: nobody → Michał Sawicz (saviq)
Changed in unity-2d:
status: New → Fix Committed
Didier Roche (didrocks) on 2012-03-15
Changed in unity-2d:
milestone: 5.8 → 5.7
Didier Roche (didrocks) on 2012-03-19
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.7.0-0ubuntu1

---------------
unity-2d (5.7.0-0ubuntu1) precise; urgency=low

  * New upstream release:
    - unity-2d-panel crashed with SIGABRT in Unity2dDebug::unity2dQtHandler()
      (LP: #925457)
    - unity-2d-shell crashed with SIGSEGV in ref() (LP: #947278)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - [dash] [launcher] [panel] Tinting based on wallpaper missing
      (LP: #882101)
    - [launcher] In multimonitor setup Unity-2D only shows launcher on one
      monitor (fails MM UX spec #2.8) (LP: #780204)
    - [unity-2d] FF exception to add PointerBarrier to Unity2d (LP: #947976)
    - multimonitor, launcher: Provide an option to display either a single
      launcher or a launcher on each display in a multi-monitor environment
      (LP: #950136)
    - lens switching is not keyboard navigable (LP: #945220)
    - [panel] [multi-monitor] On secondary screen, unable to scrub from
      indicator menu to app menu (LP: #844809)
    - "Workspaces" button displays previous wallpaper (LP: #900019)
    - Dash - cursor should change when pointer is over the search field
      (LP: #849175)
    - Filter checkboxes are without margins in right to left locales
      (LP: #949319)
    - [panel] [multi-monitor] Open indicator menu on one screen causes other
      indicator to look open too (LP: #844798)
    - Dash - horizental divider line in between categories incorrectly drawn
      (LP: #841750)
    - [launcher] Tile Progress bar starting from left of launcher, not
      container (LP: #912777)
    - Dash - dash is not closed with alt+f4 (LP: #891818)
    - [dash] Rating stars in right-to-left locales behave inconsistently.
      (LP: #945719)
    - LensButton.qml:72 warning when running unity-2d (LP: #947276)
    - [dash] Multi-range filters are rendered incorrectly in right-to-left
      locales (LP: #950649)
  * debian/unity-2d.gconf-defaults:
    - removed: not used anymore and causing regression with hide-mode=2
      by default, converted to the gsettings key (LP: #942772)
  * debian/unity-2d.preinst:
    - removed, was a natty -> oneiric transition
  * debian/control, debian/unity-2d-common.install:
    - create unity-2d-common and make some packages depending on it
    - move some files from unity-2d package to unity-2d-common
      (gsettings and apport hook) to have packaging shipping their schema
      (LP: #925457)
  * debian/unity-2d-common.install.in:
    - no more gconf -> gsettings migration shipped
  * debian/unity-2d.postinst, prerm, trigger:
    - moved to unity-2d-common new package, to ensure even people uninstalling
      unity-2d got the right metacity configuration in the session
    - update the trigger to the correct directory
  * debian/control:
    - bump to latest Standards-Version
    - fix some too long description
    - put the transitional packages in the oldlibs/extra section
    - build-dep on libxtst-dev, libxfixes-dev for barrier change
    - need latest metacity for barriers to work
 -- Didier Roche <email address hidden> Mon, 19 Mar 2012 14:07:10 +0100

Changed in unity-2d (Ubuntu):
status: Confirmed → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/947278

tags: added: iso-testing
Charles Kerr (charlesk) wrote :

This bug was reportedly fixed in 5.7.0-0ubuntu1, but the last 20+ duplicates of this ticket were reported against 5.8.0 and 5.10.0.

Either the bug's not fixed, or those 20+ tickets aren't duplicates... reopening to ask for a 2nd opinion.

Charles Kerr (charlesk) wrote :

...or not reopening, since I don't have permissions :)

However I still think this ticket needs a second look.

David Fox (ddssff) wrote :

It is possible that what I saw was caused by a legitimate out of memory condition. But most people won't see that unless there is another bug in the system.

Gerry Boland (gerboland) wrote :

Hey Charles
you're right something is fishy, this bug has a similar stacktrace to a more recent bug 968046, which we've fixed only now. Tomorrow I'll go through the list of bugs attached to this report to sort this out. My apologies
-Gerry

Jussi M. (vernerim) wrote :

Hi

I reported the duplicate of this bug (#982990). Unity 2d crashed on me again, but I must have messed up something with apport -> couldn't get the stack trace.

Anyway, the crash happened right after I went to a web site that had lots (www.mtv3.fi) of flash adds on it, so this could be memory related as someone mentioned before... I'm runing 12.04 in a Virtual machine (VMware Fusion 3.1) on a macbook from October of 2007. I have allocated 1 GB of memory for the vm. Right after the crash I opened system monitor and noticed that almost all memory was in use and also 400 MB of the 500MB of swap space that the vm has was in use.

I don't know if this helps, but this is all I can tell. If you need more info, tell me and I'll try to gather some. I'm not very familiar with all this, so I might need instructions on how to do it.

-Jussi

Jussi M. (vernerim) wrote :

Sorry, forgot the version of the package.
$ apt-cache policy unity-2d
unity-2d:
  Installed: 5.10.0-0ubuntu1
  Candidate: 5.10.0-0ubuntu1
  Version table:
 *** 5.10.0-0ubuntu1 0
        500 http://ftp.sunet.se/pub/os/Linux/distributions/ubuntu/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
-Jussi

Kane Zhu (kane-mx) wrote :

I still meet this problem in latest unity-2d.

ii unity-2d 5.12.0-0ubuntu1.2 Unity interface for non-accelerated graphics cards
ii unity-2d-common 5.12.0-0ubuntu1.2 Common files for Unity 2D Shell
ii unity-2d-shell 5.12.0-0ubuntu1.2 Dash and Launcher for the Unity 2D environment

It's easy to be reproduced when switching Eclipse workspace. I'm not sure which GTK API is called by Eclipse. But it definitely always triggers crash of unity-2d-shell.

Do you have at-spi2-registryd running in your machine? What version?

Kane Zhu (kane-mx) wrote :

Yes. I have '/usr/lib/at-spi2-core/at-spi-bus-launcher' is running.

The version of at-spi-core is,

ii at-spi 2.4.0-1ubuntu2 at-spi2-atk - at-spi transitional package
ii at-spi2-core 2.4.2-0ubuntu0.1 Assistive Technology Service Provider Interface (dbus core)

To post a comment you must log in.